nut-scanner should emit warning for bogus (all-zero) or duplicate serials
UPDATE: PR #1811 currently addresses sanity-checking for one media type (e.g. SNMP and USB separately), not across multiple discoveries (follow-up in #1813)